<?php

namespace App\Filament\Resources\PengajuanSurats\Pages;

use App\Filament\Resources\PengajuanSurats\PengajuanSuratResource;
use Filament\Actions\DeleteAction;
use Filament\Resources\Pages\EditRecord;

class EditPengajuanSurat extends EditRecord
{
    protected static string $resource = PengajuanSuratResource::class;

    protected function getHeaderActions(): array
    {
        return [
            DeleteAction::make()
                ->label('Hapus Pengajuan')
                ->icon('heroicon-m-trash'),
        ];
    }

    public function getTitle(): string
    {
        return 'Detail Pengajuan Surat';
    }

    protected function getFormActions(): array
    {
        return [
            $this->getSaveFormAction()
                ->label('Perbarui Pengajuan')
                ->icon('heroicon-m-check')
                ->color('primary'),
            $this->getCancelFormAction()
                ->label('Kembali')
                ->icon('heroicon-m-arrow-left'),
        ];
    }
}
